summaryrefslogtreecommitdiff
path: root/dev-python/pytest-celery
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-16 10:59:35 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-16 10:59:35 -0500
commita46f0ec88e6c7ea84ed2f67a40bbf89ef44bc6af (patch)
tree98303deb2a205a7f39cffa3a960c1762559c7a7d /dev-python/pytest-celery
parent8e65dc62f3f9f6b8f7b890fefedbf4ac05dfde0b (diff)
downloadbaldeagleos-repo-a46f0ec88e6c7ea84ed2f67a40bbf89ef44bc6af.tar.gz
baldeagleos-repo-a46f0ec88e6c7ea84ed2f67a40bbf89ef44bc6af.tar.xz
baldeagleos-repo-a46f0ec88e6c7ea84ed2f67a40bbf89ef44bc6af.zip
Adding metadata
Diffstat (limited to 'dev-python/pytest-celery')
-rw-r--r--dev-python/pytest-celery/Manifest5
-rw-r--r--dev-python/pytest-celery/metadata.xml12
-rw-r--r--dev-python/pytest-celery/pytest-celery-1.1.1.ebuild54
-rw-r--r--dev-python/pytest-celery/pytest-celery-1.2.0.ebuild55
4 files changed, 126 insertions, 0 deletions
diff --git a/dev-python/pytest-celery/Manifest b/dev-python/pytest-celery/Manifest
new file mode 100644
index 000000000000..e75c21e3e9e0
--- /dev/null
+++ b/dev-python/pytest-celery/Manifest
@@ -0,0 +1,5 @@
+DIST pytest-celery-1.1.1.gh.tar.gz 207933 BLAKE2B a043863af0ebb0be1b103fe701c44d569110df7ac2ec884fda367530dcd8bc89f324605a436ec768d88115f7fe463acf584d6172a82e9ceff24c5ea9e3d883f6 SHA512 e3d309e273d3f6f920579c1137378fdef901b79bdb0f2642eca4b01e18803809ecf604647ad81b88b1449728de7c67d6d485e55919c67db517d29807bf9bb208
+DIST pytest-celery-1.2.0.gh.tar.gz 232134 BLAKE2B 934d63110016ec921622f2a64c0ca98d8485f05a7336a61932023e80ee49fd2a4e0fe48886cfd6e0389b3475a7916a4bf0324ed209fde1d311b07969518c87ae SHA512 30d2114ca461a3824eeec2f082db8ccbc6370744a95f9702dc42016ae0b98ba81f6f9e529df9742fe88b365ae88b19b8a830164f23987b3f9f5034bfaa2e06a0
+EBUILD pytest-celery-1.1.1.ebuild 1238 BLAKE2B fef6fa60a337ac9927e0808c4211a0afac7a29a48e7e79e18355e7b6b715a9f7e23b5ee2753f4ee5edfd8bdc4af2e3f196eb2072be6b6e8ccf99f08923cc75e9 SHA512 f1195cc5c7000dc53f5f76bf3ebb527b847c2c82e3a0eaf24db9daa8ad0902e4bc257a59e77ec614b933945b1180417730678dfbcec66b916f983ea064f3c0c6
+EBUILD pytest-celery-1.2.0.ebuild 1256 BLAKE2B c6d78e8d6331d20b784061004753d5ec91412b41a22ea2751a5fa9ebd95072367b50a52c50a745a21563b61fa31fbc92598b54dc2e2aef616ff7fdf13c885d11 SHA512 db6469960a724dfd35a52180856f2b83a87ff9e8401f356545b6c5a894796167a363a5917363d52ef5615775d0dc7e6def020ca249508752ac260e69cef6343a
+MISC metadata.xml 460 BLAKE2B f90eff85b48bfa4c7c3dd123f77ff32e3fb0e03888f5f9ee2653a93a9b0f6d3aa78ab17e776c2d744e98f7a9b3945d6f8c36e30c8a8c2c1a0025258c2db4234c SHA512 2c748dd5f6008335eb7dfc0cb96cc2796a13863f054e6b53fe8bd4edce15d0a3de3b0e852a830889b31de6e3fd109c5641f4675c56227b222a711d1a99239753
diff --git a/dev-python/pytest-celery/metadata.xml b/dev-python/pytest-celery/metadata.xml
new file mode 100644
index 000000000000..28643ee57be2
--- /dev/null
+++ b/dev-python/pytest-celery/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>marcin.deranek@slonko.net</email>
+ <name>Marcin Deranek</name>
+ </maintainer>
+ <upstream>
+ <bugs-to>https://github.com/celery/pytest-celery/issues</bugs-to>
+ </upstream>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>
diff --git a/dev-python/pytest-celery/pytest-celery-1.1.1.ebuild b/dev-python/pytest-celery/pytest-celery-1.1.1.ebuild
new file mode 100644
index 000000000000..7dde244c45c9
--- /dev/null
+++ b/dev-python/pytest-celery/pytest-celery-1.1.1.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{13..14} )
+inherit distutils-r1
+
+DESCRIPTION="a shim pytest plugin to enable celery.contrib.pytest"
+HOMEPAGE="
+ https://github.com/celery/pytest-celery
+ https://pypi.org/project/pytest-celery
+"
+SRC_URI="https://github.com/celery/pytest-celery/archive/v${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ >=dev-python/celery-4.4.0[${PYTHON_USEDEP}]
+ >=dev-python/pytest-docker-tools-3.1.3[${PYTHON_USEDEP}]
+ >=dev-python/psutil-6.0.0[${PYTHON_USEDEP}]
+ >=dev-python/tenacity-9.0.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/redis[${PYTHON_USEDEP}]
+ dev-python/python-memcached[${PYTHON_USEDEP}]
+ )
+"
+# doc? (
+# >=dev-python/sphinx-celery-2.1.3[${PYTHON_USEDEP}]
+# >=dev-python/sphinx-click-6.0.0[${PYTHON_USEDEP}]
+# )
+EPYTEST_DESELECT=(
+ # Require docker
+ "tests/integration"
+ "tests/smoke"
+)
+
+distutils_enable_tests pytest
+#distutils_enable_sphinx docs --no-autodoc
+
+python_prepare_all() {
+ # Remove coverage
+ sed -i \
+ -e '/--cov/d' \
+ -e '/term/d' \
+ pyproject.toml || die "sed failed"
+
+ distutils-r1_python_prepare_all
+}
diff --git a/dev-python/pytest-celery/pytest-celery-1.2.0.ebuild b/dev-python/pytest-celery/pytest-celery-1.2.0.ebuild
new file mode 100644
index 000000000000..1c7936d1958c
--- /dev/null
+++ b/dev-python/pytest-celery/pytest-celery-1.2.0.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{13..14} )
+inherit distutils-r1
+
+DESCRIPTION="a shim pytest plugin to enable celery.contrib.pytest"
+HOMEPAGE="
+ https://github.com/celery/pytest-celery
+ https://pypi.org/project/pytest-celery
+"
+SRC_URI="https://github.com/celery/pytest-celery/archive/v${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ dev-python/celery[${PYTHON_USEDEP}]
+ >=dev-python/pytest-docker-tools-3.1.3[${PYTHON_USEDEP}]
+ >=dev-python/psutil-7.0.0[${PYTHON_USEDEP}]
+ >=dev-python/tenacity-9.0.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/redis[${PYTHON_USEDEP}]
+ dev-python/python-memcached[${PYTHON_USEDEP}]
+ )
+"
+# Requires sphinx-mermaid
+# doc? (
+# >=dev-python/sphinx-celery-2.1.3[${PYTHON_USEDEP}]
+# >=dev-python/sphinx-click-6.0.0[${PYTHON_USEDEP}]
+# )
+EPYTEST_DESELECT=(
+ # Require docker
+ "tests/integration"
+ "tests/smoke"
+)
+
+distutils_enable_tests pytest
+#distutils_enable_sphinx docs --no-autodoc
+
+python_prepare_all() {
+ # Remove coverage
+ sed -i \
+ -e '/--cov/d' \
+ -e '/term/d' \
+ pyproject.toml || die "sed failed"
+
+ distutils-r1_python_prepare_all
+}